PHPExcel_Writer_Excel2007_Rels

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write drawing relationships to XML format

    writeDrawingRelationships(\PHPExcel_Worksheet $pWorksheet, int $chartRef, boolean $includeCharts) : string

### Parameters

#### $pWorksheet

`\PHPExcel_Worksheet`

#### $chartRef

`int`

&$chartRef Chart ID

#### $includeCharts

`boolean`

Flag indicating if we should write charts

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write header/footer drawing relationships to XML format

    writeHeaderFooterDrawingRelationships(\PHPExcel_Worksheet $pWorksheet) : string

### Parameters

#### $pWorksheet

`\PHPExcel_Worksheet`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write relationships to XML format

    writeRelationships(\PHPExcel $pPHPExcel) : string

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write workbook relationships to XML format

    writeWorkbookRelationships(\PHPExcel $pPHPExcel) : string

### Parameters

#### $pPHPExcel

`\PHPExcel`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write worksheet relationships to XML format

    writeWorksheetRelationships(\PHPExcel_Worksheet $pWorksheet, int $pWorksheetId, boolean $includeCharts) : string

Numbering is as follows: rId1 - Drawings rId_hyperlink_x - Hyperlinks

### Parameters

#### $pWorksheet

`\PHPExcel_Worksheet`

#### $pWorksheetId

`int`

#### $includeCharts

`boolean`

Flag indicating if we should write charts

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write Override content type

    _writeRelationship(\PHPExcel_Shared_XMLWriter $objWriter, int $pId, string $pType, string $pTarget, string $pTargetMode)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pId

`int`

Relationship ID. rId will be prepended!

#### $pType

`string`

Relationship type

#### $pTarget

`string`

Relationship target

#### $pTargetMode

`string`

Relationship target mode

### Exceptions

`\PHPExcel_Writer_Exception` |

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter